GDAL-RASTER-RESIZE(1)

NAME
gdal-raster-resize - Resize a raster dataset

Added in version 3.11.

SYNOPSIS

            Usage: gdal raster resize [OPTIONS] <INPUT> <OUTPUT>

            Resize a raster dataset without changing the georeferenced extents.

            Positional arguments:
              -i, --input <INPUT>                                  Input raster datasets [required]
              -o, --output <OUTPUT>                                Output raster dataset [required]

            Common Options:
              -h, --help                                           Display help message and exit
              --json-usage                                         Display usage as JSON document and exit
              --config <KEY>=<VALUE>                               Configuration option [may be repeated]
              -q, --quiet                                          Quiet mode (no progress bar)

            Options:
              -f, --of, --format, --output-format <OUTPUT-FORMAT>  Output format ("GDALG" allowed)
              --co, --creation-option <KEY>=<VALUE>                Creation option [may be repeated]
              --overwrite                                          Whether overwriting existing output is allowed
                                                                   Mutually exclusive with --append
              --append                                             Append as a subdataset to existing output
                                                                   Mutually exclusive with --overwrite
              --resolution <xres>,<yres>                           Target resolution (in destination CRS units)
                                                                   Mutually exclusive with --size
              --size <width[%]>,<height[%]>                        Target size in pixels (or percentage if using '%' suffix) [required]
                                                                   Mutually exclusive with --resolution
              -r, --resampling <RESAMPLING>                        Resampling method. RESAMPLING=nearest|bilinear|cubic|cubicspline|lanczos|average|mode (default: nearest)

            Advanced Options:
              --if, --input-format <INPUT-FORMAT>                  Input formats [may be repeated]
              --oo, --open-option <KEY>=<VALUE>                    Open options [may be repeated]

DESCRIPTION

gdal raster resize can be used to resize a raster dataset without changing the georeferenced extents.

This subcommand is also available as a potential step of gdal raster pipeline

  Standard options

    -f, --of, --format, --output-format <OUTPUT-FORMAT>
        Which output raster format to use. Allowed values may be given by gdal --formats | grep raster | grep rw | sort

    --co, --creation-option <NAME>=<VALUE>
        Many formats have one or more optional creation options that can be used to control particulars about the file created. For instance, the GeoTIFF driver supports creation options to control compression, and whether the file should be tiled.

        May be repeated.

        The creation options available vary by format driver, and some simple formats have no creation options at all. A list of options supported for a format can be listed with the --formats command line option but the documentation for the format is the definitive source of information on driver creation options. See Raster drivers format specific documentation for legal creation options for each format.

    --overwrite
        Allow program to overwrite existing target file or dataset. Otherwise, by default, gdal errors out if the target file or dataset already exists.

    --resolution <xres>,<yres>
        Added in version 3.12.

        Set output file resolution (in target georeferenced units).

        Mutually exclusive with --size.

    --size <width[%]>,<height[%]>
        Set output raster width and height, expressed in pixels, or percentage if using the % suffix. If the width or the height is set to 0, the other dimension will be guessed from the computed resolution.

        Mutually exclusive with --resolution.

    -r, --resampling <RESAMPLING>
        Resampling method to use. Available methods are:

        nearest: nearest neighbour resampling (default, fastest algorithm, worst interpolation quality).

        bilinear: bilinear resampling.

        cubic: cubic resampling.

        cubicspline: cubic spline resampling.

        lanczos: Lanczos windowed sinc resampling.

        average: average resampling, computes the weighted average of all non-NODATA contributing pixels.

GDALG OUTPUT (ON-THE-FLY / STREAMED DATASET)

This program supports serializing the command line as a JSON file using the GDALG output format. The resulting file can then be opened as a raster dataset using the GDALG: GDAL Streamed Algorithm driver, and apply the specified pipeline in a on-the-fly / streamed way.

EXAMPLES

  Example 1: Resize a dataset to 1000 columns and 500 lines using cubic resampling

            $ gdal raster resize --size=1000,500 -r cubic in.tif out.tif --overwrite

  Example 2: Resize a dataset to half size using cubic resampling

            $ gdal raster resize --size=50%,50% -r cubic in.tif out.tif --overwrite

AUTHOR
Even Rouault <even.rouault@spatialys.com>

COPYRIGHT
1998-2026